////////////////////////////////
//GRADIENT FOR TEXTURES
////////////////////////////////


textures/sweetnutz2/sn_snowgradient
{
	qer_editorimage textures/sweetnutz2/sn_snowgradient.tga
	q3map_lightmapsampleoffset 8.0
	q3map_lightmapsamplesize 16
	q3map_nonplanar
	q3map_shadeangle 110
	surfaceparm nomarks
	q3map_forcemeta
	nopicmip

	{
		map textures/sweetnutz2/sn_snowgradient.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

///////////////////////

textures/sn_snowterrain/terrain_base
{
	q3map_lightimage textures/sweetnutz2/sn_newsnow.tga
	q3map_lightmapsampleoffset 8.0
	q3map_lightmapsamplesize 16
	q3map_lightmapsize 1024 1024
	q3map_lightmapgamma 2.0
	q3map_lightmapmergable
	q3map_nonplanar
	q3map_shadeangle 110
	surfaceparm nomarks
}

textures/sn_snowterrain/terrain_base2
{
	q3map_lightimage textures/sweetnutz2/sn_newsnow.tga
	q3map_lightmapsampleoffset 8.0
	q3map_lightmapsamplesize 16
	q3map_nonplanar
	q3map_shadeangle 110
	surfaceparm nomarks
}


textures/sn_snowterrain/terrain
{
	qer_editorimage textures/common/terrain.tga
	q3map_baseshader textures/sn_snowterrain/terrain_base
	q3map_lightimage textures/sweetnutz2/sn_newsnow.tga
	q3map_lightmapaxis z
	q3map_tcMod rotate 73
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )

	
	{
		map textures/sweetnutz2/sn_newsnow.tga
	}

	{
		map $lightmap
		tcGen lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/sn_snowterrain/terrain_x
{
	qer_editorimage textures/common/terrain_x.tga
	q3map_baseshader textures/sn_snowterrain/terrain_base
	q3map_lightimage textures/sweetnutz2/sn_newsnow.tga
	q3map_lightmapaxis x
	q3map_tcMod rotate 73
	q3map_tcGen ivector ( 0 256 0 ) ( 0 0 256 )
	
	{
		map textures/sweetnutz2/sn_newsnow.tga
	}

	{
		map $lightmap
		tcGen lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/sn_snowterrain/terrain_y
{
	qer_editorimage textures/common/terrain_y.tga
	q3map_baseshader textures/sn_snowterrain/terrain_base
	q3map_lightimage textures/sweetnutz2/sn_newsnow.tga
	q3map_lightmapaxis y
	q3map_tcMod rotate 73
	q3map_tcGen ivector ( 256 0 0 ) ( 0 0 256 )
	
	{
		map textures/sweetnutz2/sn_newsnow.tga
	}

	{
		map $lightmap
		tcGen lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/sn_snowterrain/snowwall_x
{
	qer_editorimage textures/sweetnutz2/sn_snowwall.tga
	q3map_baseshader textures/sn_snowterrain/terrain_base2
	q3map_lightimage textures/sweetnutz2/sn_snowwall.tga
	q3map_tcMod rotate 73
	q3map_lightmapaxis x
	
	{
		map textures/sweetnutz2/sn_snowwall.tga
	}

	{
		map $lightmap
		tcGen lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/sn_snowterrain/snowwall_y
{
	qer_editorimage textures/sweetnutz2/sn_snowwall.tga
	q3map_baseshader textures/sn_snowterrain/terrain_base2
	q3map_lightimage textures/sweetnutz2/sn_snowwall.tga
	q3map_tcMod rotate 73
	q3map_lightmapaxis y
	
	{
		map textures/sweetnutz2/sn_snowwall.tga
	}

	{
		map $lightmap
		tcGen lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/sn_snowterrain/snowwall_z
{
	qer_editorimage textures/sweetnutz2/sn_snowwall.tga
	q3map_baseshader textures/sn_snowterrain/terrain_base2
	q3map_lightimage textures/sweetnutz2/sn_snowwall.tga
	q3map_tcMod rotate 73
	q3map_lightmapaxis z
	
	{
		map textures/sweetnutz2/sn_snowwall.tga
	}

	{
		map $lightmap
		tcGen lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/sn_snowterrain/snowrock_x
{
	qer_editorimage textures/sweetnutz2/sn_snowrock4a.tga
	q3map_lightmapsampleoffset 8.0
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis x
	q3map_nonplanar
	q3map_shadeangle 110
	surfaceparm nomarks
	
	{
		map textures/sweetnutz2/sn_snowrock4a.tga
	}

	{
		map $lightmap
		tcGen lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/sn_snowterrain/snowrock_y
{
	qer_editorimage textures/sweetnutz2/sn_snowrock4a.tga
	q3map_lightmapsampleoffset 8.0
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis y
	q3map_nonplanar
	q3map_shadeangle 110
	surfaceparm nomarks
	
	{
		map textures/sweetnutz2/sn_snowrock4a.tga
	}

	{
		map $lightmap
		tcGen lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/sn_snowterrain/snowroad
{
	qer_editorimage textures/sweetnutz2/sn_snowroad.tga
	q3map_lightmapsampleoffset 8.0
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis z
	q3map_nonplanar
	q3map_shadeangle 110
	surfaceparm nomarks
	q3map_lightmapsize 1024 1024
	q3map_lightmapgamma 2.0
	q3map_lightmapmergable
	
	{	
		map textures/sweetnutz2/sn_snowroad.tga
	}
	{
		map textures/effects/tinfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/sweetnutz2/sn_snowroad.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		tcGen lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/sn_snowterrain/snowroad_t
{
	qer_editorimage textures/sweetnutz2/sn_snowroad_t.tga
	q3map_lightmapsampleoffset 8.0
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis z
	q3map_nonplanar
	q3map_shadeangle 110
	surfaceparm nomarks
	q3map_lightmapsize 1024 1024
	q3map_lightmapgamma 2.0
	q3map_lightmapmergable
	
	{
		map textures/sweetnutz2/sn_snowroad_t.tga
	}
	{
		map textures/effects/tinfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/sweetnutz2/sn_snowroad_t.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		tcGen lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/sn_snowterrain/snowroad_end
{
	qer_editorimage textures/sweetnutz2/sn_snowroadend.tga
	q3map_lightmapsampleoffset 8.0
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis z
	q3map_nonplanar
	q3map_shadeangle 110
	surfaceparm nomarks
	q3map_lightmapsize 1024 1024
	q3map_lightmapgamma 2.0
	q3map_lightmapmergable
	
	{
		map textures/sweetnutz2/sn_snowroadend.tga
	}
	{
		map textures/effects/tinfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/sweetnutz2/sn_snowroadend.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		tcGen lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/sn_snowterrain/dirtsnow
{
	qer_editorimage textures/sweetnutz2/sn_dirtsnow.tga
	q3map_lightmapsampleoffset 8.0
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis z
	q3map_nonplanar
	q3map_shadeangle 110
	surfaceparm nomarks
	
	{
		map textures/sweetnutz2/sn_dirtsnow.tga
	}
	{
		map textures/effects/tinfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/sweetnutz2/sn_dirtsnow.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		tcGen lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/sn_snowterrain/dirtsnow_road
{
	qer_editorimage textures/sweetnutz2/sn_dirtsnowrd.tga
	q3map_lightmapsampleoffset 8.0
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis z
	q3map_nonplanar
	q3map_shadeangle 110
	surfaceparm nomarks
	
	{
		map textures/sweetnutz2/sn_dirtsnowrd.tga
	}

	{
		map $lightmap
		tcGen lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/sn_snowterrain/dirtsnow2
{
	qer_editorimage textures/sweetnutz2/sn_dirtsnow2.tga
	q3map_lightmapsampleoffset 8.0
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis z
	q3map_nonplanar
	q3map_shadeangle 110
	surfaceparm nomarks
	
	{
		map textures/sweetnutz2/sn_dirtsnow2.tga
	}

	{
		map $lightmap
		tcGen lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/sn_snowterrain/dirtsnow_edge
{
	qer_editorimage textures/sweetnutz2/sn_dirtsnowedge.tga
	q3map_lightmapsampleoffset 8.0
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis z
	q3map_nonplanar
	q3map_shadeangle 110
	surfaceparm nomarks
	
	{
		map textures/sweetnutz2/sn_dirtsnowedge.tga
	}

	{
		map $lightmap
		tcGen lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


